﻿$ErrorActionPreference = 'Stop'; # stop on all errors


$packageName  = 'Scratch'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'scratch1.4.msi'

$packageArgs = @{
  packageName   = $packageName
  file          = $fileLocation
  fileType      = 'msi' #only one of these: exe, msi, msu
  silentArgs    = '/qn'
  validExitCodes= @(0, 3010, 1641)

}

Install-ChocolateyInstallPackage @packageArgs